package cn.com.liandisys.ycjt.ggcx.train.service;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;

import cn.com.liandisys.ycjt.ggcx.train.model.Train;
import cn.com.liandisys.ycjt.ggcx.train.vo.QueryParam;

public interface TrainService {

    public List<Train> getTrainList();

    public List<Train> getTrainList(String id);

    public Page<Train> findAll(Pageable pageable);

    public Specification<Train> getSpecification(QueryParam queryParam);

}
